List:Commits« Previous MessageNext Message »
From:Daniel Fischer Date:April 23 2007 5:02pm
Subject:bk commit into 6.0-falcon tree (df:1.2641)
View as plain text  
Below is the list of changes that have just been committed into a local
6.0-falcon repository of df. When df does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet@stripped, 2007-04-23 19:01:58+02:00, df@stripped +1 -0
  port a windows build change from 5.1

  scripts/make_win_bin_dist@stripped, 2007-04-23 19:01:56+02:00, df@stripped +29 -7
    port from 5.1

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	df
# Host:	pippilotta.erinye.com
# Root:	/shared/home/df/mysql/build/mysql-5.1-falcon

--- 1.4/scripts/make_win_bin_dist	2007-03-01 07:23:36 +01:00
+++ 1.5/scripts/make_win_bin_dist	2007-04-23 19:01:56 +02:00
@@ -127,6 +127,15 @@
 fi
 
 # ----------------------------------------------------------------------
+# Adjust target name if needed, release with debug info has another name
+# ----------------------------------------------------------------------
+
+if [ x"$TARGET" = x"release" -a -f "client/relwithdebinfo/mysql.exe" ]
+then
+  TARGET="relwithdebinfo"
+fi
+
+# ----------------------------------------------------------------------
 # Copy executables, and client DLL (FIXME why?)
 # ----------------------------------------------------------------------
 
@@ -134,18 +143,27 @@
 
 mkdir $DESTDIR
 mkdir $DESTDIR/bin
-cp client/$TARGET/*.exe                        $DESTDIR/bin/
-cp extra/$TARGET/*.exe                         $DESTDIR/bin/
-cp storage/myisam/$TARGET/*.exe                $DESTDIR/bin/
-cp server-tools/instance-manager/$TARGET/*.exe $DESTDIR/bin/
-cp tests/$TARGET/*.exe                         $DESTDIR/bin/
-cp libmysql/$TARGET/*.exe                      $DESTDIR/bin/
-cp libmysql/$TARGET/libmysql.dll               $DESTDIR/bin/
+cp client/$TARGET/*.exe                                  $DESTDIR/bin/
+cp extra/$TARGET/*.exe                                   $DESTDIR/bin/
+cp storage/myisam/$TARGET/*.exe                          $DESTDIR/bin/
+cp server-tools/instance-manager/$TARGET/*.{exe,map}     $DESTDIR/bin/
+if [ x"$TARGET" != x"release" ]
+then
+  cp server-tools/instance-manager/$TARGET/*.pdb         $DESTDIR/bin/
+fi
+cp tests/$TARGET/*.exe                                   $DESTDIR/bin/
+cp libmysql/$TARGET/*.exe                                $DESTDIR/bin/
+cp libmysql/$TARGET/libmysql.dll                         $DESTDIR/bin/
 
 # FIXME really needed?!
 mv $DESTDIR/bin/comp_err.exe             $DESTDIR/bin/comp-err.exe
 
 cp sql/$TARGET/mysqld.exe                $DESTDIR/bin/mysqld$EXE_SUFFIX.exe
+cp sql/$TARGET/mysqld.map                $DESTDIR/bin/mysqld$EXE_SUFFIX.map
+if [ x"$TARGET" != x"release" ]
+then
+  cp sql/$TARGET/mysqld.pdb              $DESTDIR/bin/mysqld$EXE_SUFFIX.pdb
+fi
 
 if [ x"$PACK_DEBUG" = "" -a -f "sql/debug/mysqld.exe" -o \
      x"$PACK_DEBUG" = "yes" ] ; then
@@ -302,6 +320,7 @@
 cp mysql-test/std_data/*.dat        $DESTDIR/mysql-test/std_data/
 cp mysql-test/std_data/*.frm        $DESTDIR/mysql-test/std_data/
 cp mysql-test/std_data/*.pem        $DESTDIR/mysql-test/std_data/
+cp mysql-test/std_data/*.MY*        $DESTDIR/mysql-test/std_data/
 cp mysql-test/t/*.opt $DESTDIR/mysql-test/t/
 cp mysql-test/t/*.sh $DESTDIR/mysql-test/t/
 cp mysql-test/t/*.slave-mi $DESTDIR/mysql-test/t/
@@ -341,6 +360,9 @@
 done
 
 cp -pR sql/share $DESTDIR/
+
+# The SQL initiation code is really expected to be in "share"
+mv $DESTDIR/scripts/*.sql $DESTDIR/share/ || true
 
 # ----------------------------------------------------------------------
 # Copy other files specified on command line DEST=SOURCE
Thread
bk commit into 6.0-falcon tree (df:1.2641)Daniel Fischer23 Apr